Bug 242589 - print/hplip-plugin: Update to 3.19.12
Summary: print/hplip-plugin: Update to 3.19.12
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Ben Woods
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2019-12-12 02:18 UTC by Neel Chauhan
Modified: 2019-12-23 09:54 UTC (History)
2 users (show)

See Also:
woodsb02: maintainer-feedback+


Attachments
Patch (Revision 1) (966 bytes, patch)
2019-12-12 02:18 UTC, Neel Chauhan
no flags Details | Diff
Update to 3.19.12 (1.86 KB, patch)
2019-12-20 09:48 UTC, Dima Panov
woodsb02: maintainer-approval-
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Neel Chauhan 2019-12-12 02:18:50 UTC
Created attachment 209882 [details]
Patch (Revision 1)

Builds on FreeBSD 12.1 and 13-CURRENT.

This is needed by print/hplip 3.19.11, and is tested to work on a HP LaserJet Professional p1102w.
Comment 1 Dima Panov freebsd_committer 2019-12-20 09:48:18 UTC
Created attachment 210078 [details]
Update to 3.19.12

Updated patch, bump hplip and hplip-plugin to 3.19.12 release
Comment 2 Ben Woods freebsd_committer 2019-12-23 09:43:45 UTC
(In reply to Dima Panov from comment #1)
New patch looks ok at first glance, I'll do some build testing now and commit if it passes.
Comment 3 Ben Woods freebsd_committer 2019-12-23 09:49:47 UTC
Comment on attachment 210078 [details]
Update to 3.19.12

Build testing revealed some pkg-plist changes missing from the patch:

# poudriere testport -j 13amd64 -i print/hplip
...
Error: Orphaned: share/ppd/HP/hp-color_laserjet_m155-m156-ps.ppd.gz
Error: Orphaned: share/ppd/HP/hp-color_laserjet_m182-m185-ps.ppd.gz
Error: Orphaned: share/ppd/HP/hp-color_laserjet_m255-m256-ps.ppd.gz
Error: Orphaned: share/ppd/HP/hp-color_laserjet_m282-m285-ps.ppd.gz

# poudriere testport -j 13amd64 -i print/hplip-plugin
...
all ok

I'll incorporate these changes to print/hplip and commit.
Comment 4 commit-hook freebsd_committer 2019-12-23 09:54:06 UTC
A commit references this bug:

Author: woodsb02
Date: Mon Dec 23 09:53:39 UTC 2019
New revision: 520691
URL: https://svnweb.freebsd.org/changeset/ports/520691

Log:
  print/hplip and print/hplip-plugin: Update to 3.19.12

  Changes this release:
    https://developers.hp.com/hp-linux-imaging-and-printing/release_notes

  PR:		242589
  Submitted by:	fluffy
  Submitted by:	Neel Chauhan <neel@neelc.org> (earlier patch version)

Changes:
  head/print/hplip/Makefile
  head/print/hplip/distinfo
  head/print/hplip/pkg-plist
  head/print/hplip-plugin/Makefile
  head/print/hplip-plugin/distinfo
Comment 5 Ben Woods freebsd_committer 2019-12-23 09:54:39 UTC
Closed - thanks for the patches guys!